<?php
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>

<div id="comments" class="comments-area">
<div class="comment-page-my">
	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>

<div class="c-title">
<h2> <?php
				printf( _n( 'One Comment on post', '%1$s Comments on post ', get_comments_number()),
					number_format_i18n( get_comments_number() ),"");
			?> <span class="t-ico"></span></h2>
<span class="carray"></span>
</div><!--f-title -->
		<ol class="commentlist">
			<?php wp_list_comments( array( 'callback' => 'projapoti_comment', 'style' => 'ol' ) ); ?>
		</ol><!-- .commentlist -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h1 class="assistive-text section-heading">Comment navigation</h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments','projapoti') ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;','projapoti') ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<?php
		/* If there are no comments and comments are closed, let's leave a note.
		 * But we only want the note on posts and pages that had comments in the first place.
		 */
		if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.','projapoti' ); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php comment_form(array('comment_notes_after' => '')); ?>
</div><!--comment list my -->
</div><!-- #comments .comments-area -->