<?php
/*
 * projapoti One Theme's Functions file, this is the heart of theme, modification directly is not recommended.
 * Use a child theme for customization (see http://codex.wordpress.org/Theme_Development and
 * http://codex.wordpress.org/Child_Themes).
 * @package - projapoti 
 * 2013 osmansorkar, projapotibd.com
 */
/*
 * Primary content width according to the design and stylesheet.
 */
if ( ! isset( $content_width ) ) $content_width ='584' ; 
/**
 * Adds support for a Thime option Page.
 */


function projapoti_setup() {
	 
	/*
	 * This theme uses a custom image size for featured images, displayed on
	 * "standard" posts and pages.
	 * Theme support custom Background
	 * Adds RSS feed links to <head> for posts and comments.
	 */
	
	add_theme_support( 'post-thumbnails' );
       set_post_thumbnail_size( 200, 200,true );
		add_theme_support( 'custom-background');
		$args = array(
	'width'         => 352,
	'height'        => 144,
	'uploads'       => true,
);
add_theme_support( 'custom-header', $args );
		add_theme_support( 'automatic-feed-links' );
		load_theme_textdomain('projapoti', get_template_directory() . '/languages');

// regestar header Menu
register_nav_menus(
		array(
		    'header-menu' => __("Header Menu","projapoti"),
		  
		)
	  );


}

add_action( 'after_setup_theme', 'projapoti_setup' );

// Manue faill back
function projapoti_fallback() {?>
<ul id="navi">
<li  <?php if(is_home()) { ?> class="current_page_item menu-item-home" <?php } else {?> class="menu-item-home" <?php } ?>>
<a class="home-tab" href="<?php echo esc_url(home_url('/'))   ?>"><?php _e("home","projapoti") ?></a></li>
<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
</ul>
    <?php
}

function projapoti_register_sidebar(){
/* register wordpress sibe bar */
register_sidebar(array(
  'name' => __('Right Hand Sidebar','projapoti'),
  'id' => 'right-sidebar',
  'description' =>__('Widgets in this area will be shown on the right-hand side.','projapoti'),
  'before_widget' => '<div class="widget_bar">',
	'after_widget'  => '</div>',
  'before_title' => '<div class="s-title"><h2>',
  'after_title' => '<span class="t-ico"></span></h2><span class="sarray"></span></div>'
));
register_sidebar(array(
  'name' => __('footerone','projapoti'),
  'id' => 'footerone',
  'description' => __('Widgets in this area will be shown on the left-hand side in footer.','projapoti') ,
  'before_widget' => '<div class="widget_bar">',
	'after_widget'  => '</div>',
  'before_title' => '<div class="s-title"><h2>',
  'after_title' => '<span class="t-ico"></span></h2><span class="sarray"></span></div>'
));
register_sidebar(array(
  'name' =>  __('footertwo','projapoti') ,
  'id' => 'footertwo',
  'description' => __('Widgets in this area will be shown on the middle side in footer.','projapoti') ,
  'before_widget' => '<div class="widget_bar">',
	'after_widget'  => '</div>',
  'before_title' => '<div class="s-title"><h2>',
  'after_title' => '<span class="t-ico"></span></h2><span class="sarray"></span></div>'
));

register_sidebar(array(
  'name' =>  __('footerthree','projapoti') ,
  'id' => 'footerthree',
  'description' => __('Widgets in this area will be shown on the right-hand side in footer.','projapoti'),
  'before_widget' => '<div class="widget_bar">',
	'after_widget'  => '</div>',
  'before_title' => '<div class="s-title"><h2>',
  'after_title' => '<span class="t-ico"></span></h2><span class="sarray"></span></div>'
));
}
add_action('widgets_init','projapoti_register_sidebar');

// Add Panel
require_once(get_template_directory().'/panel/functions.php');
require_once(get_template_directory() .'/panel/page.php');

$projapoti_op = get_option('projapoti_op');
function projapoti_favicon(){?>
	
	<?php global $projapoti_panel_op; if(!empty($projapoti_panel_op['favicon'])){ ?>
<link rel="shortcut icon" href="<?php echo esc_url($projapoti_panel_op['favicon']); ?>" />
<?php
	}
	}

add_action("wp_head","projapoti_favicon");
function projapoti_wp_title( $title, $sep ) {
	global $paged, $page;

	if ( is_feed() )
		return $title;

	// Add the site name.
	$title .= get_bloginfo( 'name' );

	// Add the site description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title = "$title $sep $site_description";

	// Add a page number if necessary.
	if ( $paged >= 2 || $page >= 2 )
		$title = "$title $sep " . sprintf( __( 'Page %s', 'projapoti' ), max( $paged, $page ) );

	return $title;
}
add_filter( 'wp_title', 'projapoti_wp_title', 10, 2 );



function projapoti_hex_color( $color ) {
	if ( '' === $color )
		return '';

	// 3 or 6 hex digits, or the empty string.
	if ( preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color ) )
		return $color;

	return null;
}

//read more
function projapoti_more( $more ) {
	return ' ...';
}
add_filter( 'excerpt_more', 'projapoti_more' );
/* function page navi -  */

function projapoti_pagenavi() {
  global $wp_query, $wp_rewrite;
  $pages = '';
  $max = $wp_query->max_num_pages;
  if (!$current = get_query_var('paged')) $current = 1;
  $args['base'] = str_replace(999999999, '%#%', get_pagenum_link(999999999));
  $args['total'] = $max;
  $args['current'] = $current;
 
  $total = 1;
  $args['mid_size'] = 4;
  $args['end_size'] = 1;
  $args['prev_text'] = '&laquo;';
  $args['next_text'] = '&raquo;';
 
  if ($max > 1) echo '</pre>
<div class="wp-pagenavi">';
 if ($total == 1 && $max > 1) $pages = '<span class="pages">Page ' . $current . ' of ' . $max . '</span>';
 echo $pages . paginate_links($args);
 if ($max > 1) echo '</div>
';
}

/* end function page navi */

function projapoti_enqueue_script() {
	wp_enqueue_style( 'projapoti-style',get_stylesheet_directory_uri().'/style.css');
	wp_enqueue_style( 'projapoti-res',get_stylesheet_directory_uri().'/res.css');
	wp_enqueue_script( 'projapoti-custom', get_template_directory_uri() . '/custom.js');
	wp_enqueue_script( 'comment-reply' );
}
add_action( 'wp_enqueue_scripts', 'projapoti_enqueue_script' );


/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 */
function projapoti_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
		// Display trackbacks differently than normal comments.
	?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
		<p><?php _e( 'Pingback:','projapoti' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( '(Edit)', '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
		// Proceed with normal comments.
		global $post;
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		
        <article id="comment-<?php comment_ID(); ?>" class="comment">
			
            <header class="comment-meta comment-author vcard">
				<?php
					echo get_avatar( $comment, 76 );
					printf( '<cite class="fn">%1$s %2$s</cite>',
						get_comment_author_link(),
						// Adds Post Author to comments posted by the article writer
						( $comment->user_id === $post->post_author ) ? '<span> ' . __( ' ', 'projapoti' ) . '</span>' : ''
					);
					
				?>
			</header><!-- .comment-meta -->
			<?php 		
			if ( '0' == $comment->comment_approved ) : ?>
				<p class="comment-awaiting-moderation"><?php _e('Your comment is awaiting moderation.','projapoti'); ?></p>
			<?php endif; ?>

			<section class="comment-content comment">
            <div id="comment-date">
            <?php 	printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
						esc_url( get_comment_link( $comment->comment_ID ) ),
						get_comment_time( 'c' ),
						/* translators: 1: date */
						sprintf( '%1$s', get_comment_date()."&nbsp;&nbsp;".get_comment_time() )
					); ?>
                    </div><!--comment -date -->
                    <div id="commnet-text">
				<?php comment_text(); ?>
                </div><!--comment txt -->
				<?php edit_comment_link('Edit', '<p class="edit-link">', '</p>' ); ?>
			</section><!-- .comment-content -->

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply ', 'projapoti' ), 'after' => '<span class="r-ico"></span> ', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</article><!-- #comment-## -->
	<?php
		break;
	endswitch; // end comment_type check
}
?>
